<?php
/**
 * @package     DOCman
 * @copyright   Copyright (C) 2019 Timble CVBA. (http://www.timble.net)
 * @license     GNU GPLv3 <http://www.gnu.org/licenses/gpl.html>
 * @link        http://www.joomlatools.com
 */

namespace Foliolabs\Docman;

use Foliolabs\Library;
/**
 * @package Foliolabs\Docman
 * 
 * @method ModelEntityConfig fetch()
 * @method $this slug(string $slug)
 * @method $this id(int|array $id)
 */
class ModelConfigs extends Library\ModelAbstract
{
    protected function _initialize(Library\ObjectConfig $config)
    {
        $config->append([
            'state' => 'com:docman.model.config.state',
        ]);

        parent::_initialize($config);
    }

    protected function _actionFetch(Library\ModelContext $context)
    {
        return $this->getObject('com:docman.model.entity.config');
    }
}
